Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Class BinaryMutation

    java.lang.Object
      org.apache.commons.math.genetics.BinaryMutation

All Implemented Interfaces:
  MutationPolicy

    public class BinaryMutation

extends java.lang.Object
implements MutationPolicy

Mutation for `BinaryChromosome`s. Randomly changes one gene.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Constructor Summary
`BinaryMutation()`

Method Summary
`Chromosome` | `mutate(Chromosome original)` Mutate the given chromosome.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryMutation

    public BinaryMutation()

Method Detail

### mutate

    public Chromosome mutate(Chromosome original)

  Mutate the given chromosome. Randomly changes one gene.

  Specified by:
    `mutate` in interface `MutationPolicy`
  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromomsome.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation